> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Clear Integration History
> Clear the history of an outgoing integration.
Any of the following permissions is required:
* `manage-outgoing-integrations`
* `manage-own-outgoing-integrations` (clears history only for integrations created by the calling user)
### Changelog
|Version | Description |
| ---------------- | ------------|
|8.7.0 | Added |
## OpenAPI
````json POST /api/v1/integrations.clearHistory
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Integrations"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Integration"
},
{
"name": "OAuth Apps"
}
],
"paths": {
"/api/v1/integrations.clearHistory": {
"post": {
"tags": [
"Integration"
],
"summary": "Clear Integration History",
"description": "Clear the history of an outgoing integration. \n\nAny of the following permissions is required:\n * `manage-outgoing-integrations`\n * `manage-own-outgoing-integrations` (clears history only for integrations created by the calling user)\n\n### Changelog\n|Version | Description |\n| ---------------- | ------------|\n|8.7.0 | Added |",
"operationId": "post-api-v1-integrations.clearHistory",
"parameters": [
{
"$ref": "#/components/parameters/X-Auth-Token"
},
{
"$ref": "#/components/parameters/X-User-Id"
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"integrationId": {
"type": "string",
"description": "The ID of the integration whose history you want to clear.",
"example": "nvdQuJQ6tE9HRFBzd"
}
},
"required": [
"integrationId"
]
},
"examples": {
"Example": {
"value": {
"integrationId": "nvdQuJQ6tE9HRFBzd"
}
}
}
}
}
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
}
},
"examples": {
"Success Example": {
"value": {
"success": true
}
}
}
}
}
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Invalid Parameter": {
"value": {
"success": false,
"error": "must have required property 'integrationId' [error-invalid-params]",
"errorType": "error-invalid-params"
}
},
"Invalid Integration": {
"value": {
"success": false,
"error": "Invalid integration [error-invalid-integration]",
"errorType": "error-invalid-integration"
}
},
"Not Authorized for this Integration": {
"value": {
"success": false,
"error": "Unauthorized [not_authorized]",
"errorType": "not_authorized"
}
}
}
}
}
},
"401": {
"$ref": "#/components/responses/authorizationError"
}
}
}
}
},
"components": {
"parameters": {
"X-Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"description": "The authorization token of the user.",
"required": true,
"schema": {
"type": "string"
},
"example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq"
},
"X-User-Id": {
"name": "X-User-Id",
"in": "header",
"description": "The user ID of the user.",
"required": true,
"schema": {
"type": "string"
},
"example": "aobEdbYhXfu5hkeqG"
}
},
"responses": {
"authorizationError": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Authorization Error": {
"value": {
"success": false,
"error": "You must be logged in to do this."
}
}
}
}
}
}
}
}
}
````